diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-endpoint-bug2211.cc ns-3.42/src/internet/test/tcp-endpoint-bug2211.cc
--- ns-3.41/src/internet/test/tcp-endpoint-bug2211.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-endpoint-bug2211.cc	2024-05-29 15:29:46.972073300 -0700
@@ -157,10 +157,12 @@
 {
   public:
     TcpEndpointBug2211TestSuite()
-        : TestSuite("tcp-endpoint-bug2211-test", UNIT)
+        : TestSuite("tcp-endpoint-bug2211-test", Type::UNIT)
     {
-        AddTestCase(new TcpEndPointBug2211Test("Bug 2211 testcase IPv4", false), TestCase::QUICK);
-        AddTestCase(new TcpEndPointBug2211Test("Bug 2211 testcase IPv6", true), TestCase::QUICK);
+        AddTestCase(new TcpEndPointBug2211Test("Bug 2211 testcase IPv4", false),
+                    TestCase::Duration::QUICK);
+        AddTestCase(new TcpEndPointBug2211Test("Bug 2211 testcase IPv6", true),
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-fast-retr-test.cc ns-3.42/src/internet/test/tcp-fast-retr-test.cc
--- ns-3.41/src/internet/test/tcp-fast-retr-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-fast-retr-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -208,14 +208,10 @@
             }
         }
 
-        if (m_sndNextExpSeq.GetValue() == 0)
+        // SYN or Pure ACK in three-way handshake, then we expect data
+        if ((m_sndNextExpSeq.GetValue() == 0) ||
+            (m_sndNextExpSeq.GetValue() == 1 && p->GetSize() == 32))
         {
-            // SYN
-            m_sndNextExpSeq = SequenceNumber32(1);
-        }
-        else if (m_sndNextExpSeq.GetValue() == 1 && p->GetSize() == 32)
-        {
-            // Pure ACK in three-way handshake, then we expect data
             m_sndNextExpSeq = SequenceNumber32(1);
         }
         else
@@ -437,7 +433,7 @@
 {
   public:
     TcpFastRetrTestSuite()
-        : TestSuite("tcp-fast-retr-test", UNIT)
+        : TestSuite("tcp-fast-retr-test", Type::UNIT)
     {
         std::list<TypeId> types;
         types.insert(types.begin(), TcpWestwoodPlus::GetTypeId());
@@ -446,7 +442,7 @@
         for (auto it = types.begin(); it != types.end(); ++it)
         {
             AddTestCase(new TcpFastRetrTest((*it), 5001, "Fast Retransmit testing"),
-                        TestCase::QUICK);
+                        TestCase::Duration::QUICK);
         }
     }
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-header-test.cc ns-3.42/src/internet/test/tcp-header-test.cc
--- ns-3.41/src/internet/test/tcp-header-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-header-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -206,12 +206,12 @@
 {
     TcpHeader source;
     TcpHeader destination;
-    TcpOptionNOP temp;
+    auto temp = CreateObject<TcpOptionNOP>();
     Buffer buffer;
     buffer.AddAtStart(40);
 
     Buffer::Iterator i = buffer.Begin();
-    source.AppendOption(&temp);
+    source.AppendOption(temp);
 
     source.Serialize(i);
 
@@ -460,12 +460,13 @@
 {
   public:
     TcpHeaderTestSuite()
-        : TestSuite("tcp-header", UNIT)
+        : TestSuite("tcp-header", Type::UNIT)
     {
-        AddTestCase(new TcpHeaderGetSetTestCase("GetSet test cases"), TestCase::QUICK);
+        AddTestCase(new TcpHeaderGetSetTestCase("GetSet test cases"), TestCase::Duration::QUICK);
         AddTestCase(new TcpHeaderWithRFC793OptionTestCase("Test for options in RFC 793"),
-                    TestCase::QUICK);
-        AddTestCase(new TcpHeaderFlagsToString("Test flags to string function"), TestCase::QUICK);
+                    TestCase::Duration::QUICK);
+        AddTestCase(new TcpHeaderFlagsToString("Test flags to string function"),
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-highspeed-test.cc ns-3.42/src/internet/test/tcp-highspeed-test.cc
--- ns-3.41/src/internet/test/tcp-highspeed-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-highspeed-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -183,7 +183,7 @@
 {
   public:
     TcpHighSpeedTestSuite()
-        : TestSuite("tcp-highspeed-test", UNIT)
+        : TestSuite("tcp-highspeed-test", Type::UNIT)
     {
         std::stringstream ss;
 
@@ -194,32 +194,32 @@
                 new TcpHighSpeedIncrementTest(highSpeedImportantValues[i].cwnd,
                                               1,
                                               "Highspeed increment test on cWnd " + ss.str()),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
             AddTestCase(
                 new TcpHighSpeedIncrementTest(highSpeedImportantValues[i].cwnd * 536,
                                               536,
                                               "Highspeed increment test on cWnd " + ss.str()),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
             AddTestCase(
                 new TcpHighSpeedIncrementTest(highSpeedImportantValues[i].cwnd * 1446,
                                               1446,
                                               "Highspeed increment test on cWnd " + ss.str()),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
             AddTestCase(
                 new TcpHighSpeedDecrementTest(highSpeedImportantValues[i].cwnd,
                                               1,
                                               "Highspeed Decrement test on cWnd " + ss.str()),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
             AddTestCase(
                 new TcpHighSpeedDecrementTest(highSpeedImportantValues[i].cwnd * 536,
                                               536,
                                               "Highspeed Decrement test on cWnd " + ss.str()),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
             AddTestCase(
                 new TcpHighSpeedDecrementTest(highSpeedImportantValues[i].cwnd * 1446,
                                               1446,
                                               "Highspeed Decrement test on cWnd " + ss.str()),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
             ss.flush();
         }
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-htcp-test.cc ns-3.42/src/internet/test/tcp-htcp-test.cc
--- ns-3.41/src/internet/test/tcp-htcp-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-htcp-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -165,7 +165,7 @@
 {
   public:
     TcpHtcpTestSuite()
-        : TestSuite("tcp-htcp-test", UNIT)
+        : TestSuite("tcp-htcp-test", Type::UNIT)
     {
         AddTestCase(new TcpHtcpIncrementTest(38 * 536,
                                              536,
@@ -175,7 +175,7 @@
                                              ns3::MilliSeconds(1000),
                                              20383,
                                              "TcpHtcp increment test on cWnd "),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpHtcpIncrementTest(38,
                                              1,
                                              100,
@@ -184,7 +184,7 @@
                                              ns3::MilliSeconds(1100),
                                              40,
                                              "TcpHtcp increment test on cWnd "),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpHtcpIncrementTest(53 * 1446,
                                              1446,
                                              50,
@@ -193,7 +193,7 @@
                                              ns3::MilliSeconds(1500),
                                              76671,
                                              "TcpHtcp increment test on cWnd "),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-hybla-test.cc ns-3.42/src/internet/test/tcp-hybla-test.cc
--- ns-3.41/src/internet/test/tcp-hybla-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-hybla-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -155,32 +155,32 @@
 {
   public:
     TcpHyblaTestSuite()
-        : TestSuite("tcp-hybla-test", UNIT)
+        : TestSuite("tcp-hybla-test", Type::UNIT)
     {
         AddTestCase(new TcpHyblaIncrementTest(1000,
                                               0xFFFFFFFF,
                                               500,
                                               MilliSeconds(55),
                                               "Rho=1.1, slow start"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpHyblaIncrementTest(1000,
                                               0xFFFFFFFF,
                                               500,
                                               MilliSeconds(100),
                                               "Rho=2, slow start"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpHyblaIncrementTest(1000,
                                               0xFFFFFFFF,
                                               500,
                                               MilliSeconds(750),
                                               "Rho=30, slow start"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpHyblaIncrementTest(1000, 500, 500, Seconds(0.55), "Rho=1.1, cong avoid"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpHyblaIncrementTest(1000, 500, 500, Seconds(0.1), "Rho=2, cong avoid"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpHyblaIncrementTest(1000, 500, 500, Seconds(0.75), "Rho=30, cong avoid"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-illinois-test.cc ns-3.42/src/internet/test/tcp-illinois-test.cc
--- ns-3.41/src/internet/test/tcp-illinois-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-illinois-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -352,7 +352,7 @@
 {
   public:
     TcpIllinoisTestSuite()
-        : TestSuite("tcp-illinois-test", UNIT)
+        : TestSuite("tcp-illinois-test", Type::UNIT)
     {
         AddTestCase(new TcpIllinoisTest(38 * 1446,
                                         40 * 1446,
@@ -363,7 +363,7 @@
                                         SequenceNumber32(2893),
                                         SequenceNumber32(5785),
                                         "Illinois test on cWnd and ssThresh when in slow start"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpIllinoisTest(
                         60 * 346,
                         40 * 346,
@@ -374,7 +374,7 @@
                         SequenceNumber32(2893),
                         SequenceNumber32(5785),
                         "Illinois test on cWnd and ssThresh when avg queueing delay is at minimum"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpIllinoisTest(
                         38 * 1446,
                         40 * 1446,
@@ -385,7 +385,7 @@
                         SequenceNumber32(2893),
                         SequenceNumber32(5785),
                         "Illinois test on cWnd and ssThresh when avg queueing delay is at maximum"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpIllinoisTest(40 * 1446,
                                         38 * 1446,
                                         1446,
@@ -396,7 +396,7 @@
                                         SequenceNumber32(5785),
                                         "Illinois test on cWnd and ssThresh when avg queueing "
                                         "delay is in between its min & max"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-ledbat-test.cc ns-3.42/src/internet/test/tcp-ledbat-test.cc
--- ns-3.41/src/internet/test/tcp-ledbat-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-ledbat-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -343,7 +343,7 @@
 {
   public:
     TcpLedbatTestSuite()
-        : TestSuite("tcp-ledbat-test", UNIT)
+        : TestSuite("tcp-ledbat-test", Type::UNIT)
     {
         AddTestCase(new TcpLedbatToNewReno(2 * 1446,
                                            1446,
@@ -353,7 +353,7 @@
                                            SequenceNumber32(3216),
                                            MilliSeconds(100),
                                            "LEDBAT falls to New Reno for slowstart"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpLedbatToNewReno(4 * 1446,
                                            1446,
                                            2 * 1446,
@@ -362,7 +362,7 @@
                                            SequenceNumber32(3216),
                                            MilliSeconds(100),
                                            "LEDBAT falls to New Reno if timestamps are not found"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpLedbatIncrementTest(2 * 1446,
                                                1446,
                                                4 * 1446,
@@ -371,7 +371,7 @@
                                                SequenceNumber32(3216),
                                                MilliSeconds(100),
                                                "LEDBAT increment test"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new TcpLedbatDecrementTest(2 * 1446,
                                                1446,
                                                4 * 1446,
@@ -380,7 +380,7 @@
                                                SequenceNumber32(3216),
                                                MilliSeconds(100),
                                                "LEDBAT decrement test"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-linux-reno-test.cc ns-3.42/src/internet/test/tcp-linux-reno-test.cc
--- ns-3.41/src/internet/test/tcp-linux-reno-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-linux-reno-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -377,7 +377,7 @@
 {
   public:
     TcpLinuxRenoTestSuite()
-        : TestSuite("tcp-linux-reno-test", UNIT)
+        : TestSuite("tcp-linux-reno-test", Type::UNIT)
     {
         TypeId cong_control_type = TcpLinuxReno::GetTypeId();
         // Test the behavior of Slow Start phase with small segment size
@@ -413,7 +413,7 @@
                                    cong_control_type,
                                    "Slow Start MSS = 524, socket send size = 524, delack = 1 " +
                                        cong_control_type.GetName()),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
 
         // Next, enabling delayed acks should not have an effect on the final
         // cWnd achieved
@@ -427,7 +427,7 @@
                                    cong_control_type,
                                    "Slow Start MSS = 524, socket send size = 524, delack = 2 " +
                                        cong_control_type.GetName()),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
 
         // Test the behavior of Slow Start phase with standard segment size
         // (1500 bytes) and delayed acknowledgement of 1 and 2 segments
@@ -443,7 +443,7 @@
                                    cong_control_type,
                                    "Slow Start MSS = 1500, socket send size = 524, delack = 1 " +
                                        cong_control_type.GetName()),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
 
         // Enable delayed acks; we still expect m_cWnd to end up at 9 segments
         AddTestCase(
@@ -456,7 +456,7 @@
                                    cong_control_type,
                                    "Slow Start MSS = 1500, socket send size = 524, delack = 2 " +
                                        cong_control_type.GetName()),
-            TestCase::QUICK);
+            TestCase::Duration::QUICK);
 
         // Test the behavior of Congestion Avoidance phase with small segment size
         // (524 bytes) and delayed acknowledgement of 1 and 2.  One important thing
@@ -497,7 +497,7 @@
                         cong_control_type,
                         "Congestion Avoidance MSS = 524, socket send size = 524, delack = 1 " +
                             cong_control_type.GetName()),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         // Repeat with delayed acks enabled:  should result in same final cWnd
         // Expected data pattern starting at simulation time 10:
@@ -527,7 +527,7 @@
                         cong_control_type,
                         "Congestion Avoidance MSS = 524, socket send size = 524, delack = 2 " +
                             cong_control_type.GetName()),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         // Test the behavior of Congestion Avoidance phase with standard segment size (i.e 1500
         // bytes) and delayed acknowledgement of 1 and 2 Test the behavior of Congestion Avoidance
@@ -545,7 +545,7 @@
                         cong_control_type,
                         "Congestion Avoidance MSS = 1500, socket send size = 1500, delack = 1 " +
                             cong_control_type.GetName()),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         AddTestCase(new TcpLinuxRenoCongAvoidTest(
                         1500,     // segment size
@@ -558,7 +558,7 @@
                         cong_control_type,
                         "Congestion Avoidance MSS = 1500, socket send size = 1500, delack = 2 " +
                             cong_control_type.GetName()),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-loss-test.cc ns-3.42/src/internet/test/tcp-loss-test.cc
--- ns-3.41/src/internet/test/tcp-loss-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-loss-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -182,7 +182,7 @@
 {
   public:
     TcpLossTestSuite()
-        : TestSuite("tcp-loss-test", UNIT)
+        : TestSuite("tcp-loss-test", Type::UNIT)
     {
         // For large transfer tests, the three sequence numbers passed in
         // are the segment (i.e. not byte) number that should be dropped first,
@@ -192,13 +192,13 @@
         // the TCP logic should correctly pass this case (no sequence wrapping).
         AddTestCase(
             new TcpLargeTransferLossTest(1000, 2000, 2500, "large-transfer-loss-without-wrap"),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
         // If we force a loss at packet 1000 and then much later at 3294967, the
         // second sequence number will evaluate to less than 1000 considering
         // the sequence space wrap, so check this case also.
         AddTestCase(
             new TcpLargeTransferLossTest(1000, 3294967, 3295100, "large-transfer-loss-with-wrap"),
-            TestCase::EXTENSIVE);
+            TestCase::Duration::EXTENSIVE);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-lp-test.cc ns-3.42/src/internet/test/tcp-lp-test.cc
--- ns-3.41/src/internet/test/tcp-lp-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-lp-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -262,7 +262,7 @@
 {
   public:
     TcpLpTestSuite()
-        : TestSuite("tcp-lp-test", UNIT)
+        : TestSuite("tcp-lp-test", Type::UNIT)
     {
         AddTestCase(new TcpLpToNewReno(4 * 1446,
                                        1446,
@@ -270,7 +270,7 @@
                                        2 * 1446,
                                        MilliSeconds(100),
                                        "LP falls to New Reno if the cwd is within threshold"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         AddTestCase(new TcpLpInferenceTest1(
                         2 * 1446,
@@ -278,7 +278,7 @@
                         2,
                         MilliSeconds(100),
                         "LP enters Inference phase when cwd exceeds threshold for the first time"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         AddTestCase(new TcpLpInferenceTest2(
                         2 * 1446,
@@ -286,7 +286,7 @@
                         2,
                         MilliSeconds(100),
                         "LP reduces cWnd to 1 if cwd exceeds threshold in inference phase"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-option-test.cc ns-3.42/src/internet/test/tcp-option-test.cc
--- ns-3.41/src/internet/test/tcp-option-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-option-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -203,14 +203,15 @@
 {
   public:
     TcpOptionTestSuite()
-        : TestSuite("tcp-option", UNIT)
+        : TestSuite("tcp-option", Type::UNIT)
     {
         for (uint8_t i = 0; i < 15; ++i)
         {
-            AddTestCase(new TcpOptionWSTestCase("Testing window scale value", i), TestCase::QUICK);
+            AddTestCase(new TcpOptionWSTestCase("Testing window scale value", i),
+                        TestCase::Duration::QUICK);
         }
         AddTestCase(new TcpOptionTSTestCase("Testing serialization of random values for timestamp"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-pacing-test.cc ns-3.42/src/internet/test/tcp-pacing-test.cc
--- ns-3.41/src/internet/test/tcp-pacing-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-pacing-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -372,7 +372,7 @@
 {
   public:
     TcpPacingTestSuite()
-        : TestSuite("tcp-pacing-test", UNIT)
+        : TestSuite("tcp-pacing-test", Type::UNIT)
     {
         uint16_t pacingSsRatio = 200;
         uint16_t pacingCaRatio = 120;
@@ -396,7 +396,7 @@
                                       delAckMaxCount,
                                       tid,
                                       description),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         paceInitialWindow = true;
         description = std::string("Pacing case 2: Slow start only, initial pacing");
@@ -410,7 +410,7 @@
                                       delAckMaxCount,
                                       tid,
                                       description),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         // set ssThresh to some smaller value to check that pacing
         // slows down in second half of slow start, then transitions to CA
@@ -429,7 +429,7 @@
                                       delAckMaxCount,
                                       tid,
                                       description),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         // Repeat tests, but with more typical delAckMaxCount == 2
         delAckMaxCount = 2;
@@ -448,7 +448,7 @@
                                       delAckMaxCount,
                                       tid,
                                       description),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         paceInitialWindow = true;
         description = std::string("Pacing case 5: Slow start only, initial pacing, delayed ACKs");
@@ -462,7 +462,7 @@
                                       delAckMaxCount,
                                       tid,
                                       description),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
 
         description = std::string("Pacing case 6: Slow start, followed by transition to Congestion "
                                   "avoidance, no initial pacing, delayed ACKs");
@@ -479,7 +479,7 @@
                                       delAckMaxCount,
                                       tid,
                                       description),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-pkts-acked-test.cc ns-3.42/src/internet/test/tcp-pkts-acked-test.cc
--- ns-3.41/src/internet/test/tcp-pkts-acked-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-pkts-acked-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -178,10 +178,10 @@
 {
   public:
     TcpPktsAckedTestSuite()
-        : TestSuite("tcp-pkts-acked-test", UNIT)
+        : TestSuite("tcp-pkts-acked-test", Type::UNIT)
     {
         AddTestCase(new TcpPktsAckedOpenTest("PktsAcked check while in OPEN state"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         // Add DISORDER, RECOVERY and LOSS state check
     }
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/internet/test/tcp-prr-recovery-test.cc ns-3.42/src/internet/test/tcp-prr-recovery-test.cc
--- ns-3.41/src/internet/test/tcp-prr-recovery-test.cc	2024-02-09 14:44:07.949790500 -0800
+++ ns-3.42/src/internet/test/tcp-prr-recovery-test.cc	2024-05-29 15:29:46.972073300 -0700
@@ -152,7 +152,7 @@
 {
   public:
     PrrRecoveryTestSuite()
-        : TestSuite("tcp-prr-recovery-test", UNIT)
+        : TestSuite("tcp-prr-recovery-test", Type::UNIT)
     {
         AddTestCase(new PrrRecoveryTest(
                         3000,
@@ -164,7 +164,7 @@
                         1000,
                         "SSRB",
                         "Prr test on cWnd when bytesInFlight is greater than ssThresh with SSRB"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new PrrRecoveryTest(
                         1000,
                         500,
@@ -175,7 +175,7 @@
                         1000,
                         "SSRB",
                         "Prr test on cWnd when bytesInFlight is lower than ssThresh with SSRB"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new PrrRecoveryTest(
                         3000,
                         500,
@@ -186,7 +186,7 @@
                         1000,
                         "CRB",
                         "Prr test on cWnd when bytesInFlight is greater than ssThresh with CRB"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
         AddTestCase(new PrrRecoveryTest(
                         1000,
                         500,
@@ -197,7 +197,7 @@
                         1000,
                         "CRB",
                         "Prr test on cWnd when bytesInFlight is lower than ssThresh with CRB"),
-                    TestCase::QUICK);
+                    TestCase::Duration::QUICK);
     }
 };
 
